| Home | Libraries | People | FAQ | More

## Struct template is_reference_wrapper

boost::is_reference_wrapper — Determine if a type `T` is an instantiation of `reference_wrapper`.

## Synopsis

    // In header: <boost/core/ref.hpp>

    template<typename T>
    struct is_reference_wrapper {

      // public member functions
       BOOST_STATIC_CONSTANT(bool, value = false);
    };

## Description

The value static constant will be true if the type `T` is a specialization of `reference_wrapper`.

### `is_reference_wrapper` public member functions

1.      BOOST_STATIC_CONSTANT(bool, value = false);